| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DirectDetection Class Reference
[Common Plugin Classes]

Master class of the device detection of direct3d and directdraw. More...

`#include <csplugincommon/directx/directdetection.h>`

List of all members.

## Public Attributes
csArray< DirectDetectionDevice > | Devices
| List of devices.
iObjectRegistry * | object_reg

## Detailed Description

Master class of the device detection of direct3d and directdraw.

Definition at line 69 of file directdetection.h.

## Member Data Documentation

csArray<DirectDetectionDevice> DirectDetection::Devices

List of devices.

Definition at line 84 of file directdetection.h.

The documentation for this class was generated from the following file:

- csplugincommon/directx/directdetection.h